Request a disclosure
curl --request POST \
--url https://api.example.com/v1/disclosures \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assetId": "<string>",
"purpose": "<string>",
"scope": {
"transactionIds": [
"<string>"
],
"fields": [
"amount"
],
"account": "<string>",
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
},
"format": "json",
"externalReference": "<string>"
}
'import requests
url = "https://api.example.com/v1/disclosures"
payload = {
"assetId": "<string>",
"purpose": "<string>",
"scope": {
"transactionIds": ["<string>"],
"fields": ["amount"],
"account": "<string>",
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
},
"format": "json",
"externalReference": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assetId: '<string>',
purpose: '<string>',
scope: {
transactionIds: ['<string>'],
fields: ['amount'],
account: '<string>',
from: '2023-11-07T05:31:56Z',
to: '2023-11-07T05:31:56Z'
},
format: 'json',
externalReference: '<string>'
})
};
fetch('https://api.example.com/v1/disclosures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"assetId": "<string>",
"purpose": "<string>",
"scope": {
"transactionIds": [
"<string>"
],
"fields": [
"amount"
],
"account": "<string>",
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
},
"externalReference": "<string>",
"requestedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"result": {
"generatedAt": "2023-11-07T05:31:56Z",
"receiptId": "<string>",
"records": [
{}
],
"content": "<string>"
}
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Request a disclosure
Request scoped access to confidential transaction fields.
Request a disclosure
Select transactions directly with
When the response is
scope.transactionIds, or select an
account and optional time range with scope.account, scope.from, and
scope.to.
The response returns one of these statuses:
| Status | Meaning |
|---|---|
pending | The request requires an authorization decision. |
available | Arcane authorized the request and returned the scoped result. |
rejected | Arcane did not authorize the requested disclosure. |
pending, store the returned Disclosure id and use the
retrieve method to read the decision.Authorizations
Organization API key created through the User API.
Body
application/json
Business or compliance reason for requesting access.
Minimum string length:
1Limits the records and confidential fields included in a disclosure.
- Option 1
- Option 2
Show child attributes
Show child attributes
Available options:
json, csv Optional identifier from the integrating service.
Response
Disclosure request created. Pre-authorized requests can return an available result immediately.
Limits the records and confidential fields included in a disclosure.
- Option 1
- Option 2
Show child attributes
Show child attributes
Available options:
json, csv Available options:
pending, available, rejected Show child attributes
Show child attributes
⌘I